## org.ascape.util.data
Class ValueNotInRangeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ascape.util.data.ValueNotInRangeException

All Implemented Interfaces:
  java.io.Serializable

    public class ValueNotInRangeException

extends java.lang.Exception

An exception thrown if the scape state would become inconsistent if requested change is made.

Since:
  1.0
Version:
  1.0
Author:
  Miles Parker
See Also:
  Serialized Form

Constructor Summary
`ValueNotInRangeException()`
`ValueNotInRangeException(java.lang.String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueNotInRangeException

    public ValueNotInRangeException()

### ValueNotInRangeException

    public ValueNotInRangeException(java.lang.String s)